/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */
package review.exercices.business;

import java.awt.List;
import java.util.Arrays;
import java.util.HashSet;
import java.util.Iterator;

/**
 *
 * @author kirsch
 */
public class ListEmployees extends DepartmentView {

    private List employeeList;

    public ListEmployees(DepartmentControler control) {
        super(control);
        initComponents();
    }

    private void initComponents() {
        this.employeeList = new List();
        this.loadNames();
        this.add(this.employeeList);
        pack();
    }

    //mise a jour de noms de maniere tres idiote
    private void loadNames() {
        java.util.List<String> employUpdated = this.getControler().getEmployeeNames();
        HashSet<String> newNames = new HashSet<String> (employUpdated);

        String[] items = this.employeeList.getItems();

        newNames.addAll(Arrays.asList(items));

        this.employeeList.removeAll();
        Iterator<String> it = newNames.iterator();
        while (it.hasNext())
            this.employeeList.add(it.next());
    }

   
    public void departmentChanged(DepartmentChangedEvent evt) {
        this.loadNames();
        repaint();
        pack();
    }
}
