/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */

package review;

import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Scanner;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author kirsch
 */
public class HelloFiles {

    String filename;
    PrintWriter out;
    Scanner in;

    public HelloFiles (String filename) {
        this.filename = filename;
        this.out = null;
        this.in = null;
    }

   public void writeMsg (String msg) {
        try {
            this.out = new PrintWriter(this.filename);
            this.out.println(msg);
            this.out.flush();
            this.out.close();
        } catch (IOException ex) {
            System.out.println("Fichier "+this.filename+ " impossible a creer");
            Logger.getLogger(HelloFiles.class.getName()).log(Level.SEVERE, null, ex);
        }
   }

   public String readMsg () {
       String line=null;
        try {
            FileReader reader = new FileReader(this.filename);
            this.in = new Scanner(reader);
            line = this.in.nextLine();
            reader.close();
        } catch (FileNotFoundException ex) {
            System.out.println("Fichier "+this.filename+ " impossible a lire");
            Logger.getLogger(HelloFiles.class.getName()).log(Level.SEVERE, null, ex);
        } catch (IOException ex) {
            System.out.println("Erreur de lecture dans le fichier "+this.filename);
            Logger.getLogger(HelloFiles.class.getName()).log(Level.SEVERE, null, ex);
        }
       return line;
   }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        HelloFiles hello = new HelloFiles ("Hello.txt");
        StringBuffer msg = new StringBuffer();
        for (String s: args) {
            msg.append(s);
            msg.append(' ');
        }
        System.out.println ("saving "+msg.toString());
        hello.writeMsg(msg.toString());
        System.out.println("reading "+hello.readMsg());
    }

}
