/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 */

package review.exercices;

import java.util.Scanner;
import review.business.Employee;
import review.business.IndexDepartment;

/**
 *
 * @author kirsch
 */
public class DepartmentTest2 extends DepartmentTest1 {

    public DepartmentTest2(String name) {
        this.dept = new IndexDepartment(name);
    }

    public Employee lookForEmployee() {
        String name = readName();
        Employee e = ((IndexDepartment)this.dept).getEmployee(name);
        return e;
    }

    public void raiseUpSalary (Employee e) {
        float perc = this.readPercentual();
        e.raiseSalary(perc);
    }

    protected String readName() {
        Scanner in = new Scanner(System.in);
        System.out.print("Name? ");
        String name = in.nextLine();
        return name;
    }
    
    @Override
      public void printEmployee(Employee e) {
        super.printEmployee(e);
    }

   
    public static void main(String[] args) {
        DepartmentTest2 test = new DepartmentTest2("Testing Dept");

        test.newEmployee();
        test.newManager();
        test.raiseSalary();
        test.print();
        
        Employee e = test.lookForEmployee();
        test.raiseUpSalary(e);
        test.printEmployee(e);
    }

}
